Bug 16584 - cardinfo of pcmcia-cs of D. Hinds
Summary: cardinfo of pcmcia-cs of D. Hinds
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: xforms   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-19 15:14 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-20 00:47:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-08-19 15:14:32 UTC
in compiling pcmcia-cs-3.1.20 under pinstripe (with kgcc) I get:




make[1]: Entering directory `/usr/src/pcmcia-cs-3.1.20/cardmgr'
cc  cardinfo.o -o cardinfo -L/usr/X11R6/lib -L/usr/X11/lib -lforms -lX11
-lm
/usr/X11R6/lib/libX11.so: undefined reference to `getpwuid_r@GLIBC_2.1.2'
/usr/X11R6/lib/libX11.so: undefined reference to `shmctl@GLIBC_2.2'
/usr/X11R6/lib/libX11.so: undefined reference to `getpwnam_r@GLIBC_2.1.2'
collect2: ld returned 1 exit status
make[1]: *** [cardinfo] Error 1
make[1]: Leaving directory `/usr/src/pcmcia-cs-3.1.20/cardmgr'
make: *** [all] Error 2

root@isaac:/usr/src/pcmcia-cs-3.1.20>  ldd /usr/X11/lib/libforms.so
	libc.so.6 => /lib/libc.so.6 (0x40091000)
	/lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x80000000)
root@isaac:/usr/src/pcmcia-cs-3.1.20> 


root@isaac:/usr/src/pcmcia-cs-3.1.20>

Comment 1 Ngo Than 2000-08-20 00:47:06 UTC
you have to use gcc-2.96 to compile the X11 stuff in PCMCIA
The makefile in pcmcia must be fixed for using gcc-2.96 instead kgcc


Comment 2 Michael K. Johnson 2000-08-20 21:17:40 UTC
Thanks, Ngo.


Note You need to log in before you can comment on or make changes to this bug.